Subject: Re: `Non-printable characters found'

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 18 Aug 2011 01:50:33 +0200

Dave Abrahams <[email-masked]> writes:

> I've recently discovered that messages sent out containing NUL (0)
> characters (which are common in emacs backtraces) are often truncated at
> the point of the NUL.

It would be interesting to find out why, by the way.  I thought most
SMTP servers were pretty 8-bit clean these days...

> I don't think the warning about "non-printable
> characters" is adequate to that danger.  When I see it, I normally
> think, "who cares?  I don't expect anyone to print this!"
>
> I suggest either:
>
>   force-replacing NUL or
>
>   issuing a different warning about NUL characters and their possible effects.

I've made the warning different.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/